Add a Sticky Issue Header to Issue page
2025-05-09 02:15 - Mizuki ISHIKAWA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 6.1.0

Resolution:

Description

This feature proposal suggests adding a sticky issue header that only appears when the subject of an issue is scrolled out of view.

This approach keeps the subject and ID visible without being intrusive during normal browsing, making it easier to keep track of the
current issue, even on pages with a large number of comments or attachments. Additionally, it reduces the risk of mistakenly adding

a comment to the wrong issue by always displaying the subject.

screenshot 2025-05-08 17.12.07.png
sticky-issue-header.gif

History

#1 - 2025-05-09 02:20 - Mizuki ISHIKAWA

- File 0001-Add-sticky-issue-header.patch added
- File screenshot 2025-05-08 17.21.31.png added
- File screenshot 2025-05-09 9.18.55.png added

Patch is attached.

In responsive mode, the header appears below the project jump.
screenshot 2025-05-08 17.21.31.png

If the subject is too long to fit on one line, omit it.
screenshot 2025-05-09 9.18.55.png

#2 - 2025-05-09 03:01 - Go MAEDA

- Target version set to 6.1.0

Thank you for posting the patch.

Mizuki ISHIKAWA wrote:

Additionally, it reduces the risk of mistakenly adding a comment to the wrong issue by always displaying the subject.

Absolutely agree. This is a great way to prevent such mistakes.

| am setting the target version to 6.1.0.

#3 - 2025-05-09 05:57 - Mizuki ISHIKAWA
- File 0001-Add-sticky-issue-header.patch added

Attached again because the patch contained some unrelated code

#4 - 2025-05-09 06:03 - Mizuki ISHIKAWA
- File 0001-Add-sticky-issue-header.patch added

Sorry for the repeated updates. | removed unnecessary style definition.
